Control Plane APIApplications
POST
/v1/applications/{id}/simulate

Simulate a application state change.

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/applications/string/simulate" \  -H "Content-Type: application/json" \  -d '{}'
{  "simulation": {    "capabilityIds": [      "string"    ],    "customerMessage": "string",    "state": "RUNTIME_STATE_UNSPECIFIED",    "updatedAt": "2019-08-24T14:15:22Z"  }}